/*
 * ConfigException.java
 *
 * Created on April 10, 2003, 5:13 PM
 */

package dbmapper;

/** This class is used to indicate that a problem has occured
 * during system startup involving either the configuration options, or
 * some type of problem when loading and initializing
 * based upon those settings. It's kind of a generic catch
 * all exception.
 * @author Larry
 */
public class ConfigException extends java.lang.Exception {
    
    /**
     * Creates a new instance of <code>ConfigException</code> without detail message.
     */
    public ConfigException() {
    }
    
    
    /**
     * Constructs an instance of <code>ConfigException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public ConfigException(String msg) {
        super(msg);
    }
}
