/*
 * MappingDescriptor.java
 *
 * Created on April 15, 2003, 8:13 AM
 */

package dbmapper;

/**
 * Interface used by an object to get information about the object it is mapped 
 * to. Used at the class-table level.
 *
 * @author  Larry
 */
public interface MappingDescriptor {
    
    public String getClassname();
    public String getTablename();
    
    public ClassDef getClassDef();
    public TableDef getTableDef();
}
